<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Component class="org.cocktail.component.CODisplayGroup" name="displayGroup">
      <Properties>
        <Property name="entityName" type="java.lang.String" value="PrimeAttribution"/>
        <Property name="hasDelegate" type="boolean" value="true"/>
        <Property name="isMainDisplayGroupForController" type="boolean" value="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="controllerClassName" type="java.lang.String" value="org.cocktail.mangue.client.primes.GestionPrimesIndividu"/>
    <Property name="size" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[692, 483]"/>
    </Property>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" pref="4" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" max="-2" attributes="0">
                  <Component id="cOView1" alignment="0" min="0" pref="659" max="32767" attributes="1"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Group type="103" groupAlignment="1" max="-2" attributes="0">
                          <Group type="102" alignment="0" attributes="1">
                              <Component id="cOButton1" min="-2" pref="18" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="68" max="-2" attributes="0"/>
                              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="cOTextField3" min="-2" pref="41" max="-2" attributes="0"/>
                              <EmptySpace max="32767" attributes="0"/>
                              <Component id="cOComboBox2" min="-2" pref="94" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="67" max="-2" attributes="0"/>
                              <Component id="cOView3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="listeAffichage" alignment="0" min="-2" pref="637" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="4" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="cOButton3" min="-2" pref="18" max="-2" attributes="0"/>
                          <Component id="vueBoutonsModification" alignment="0" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
              </Group>
              <EmptySpace pref="14" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace pref="29" max="32767" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="cOTextField3" alignment="3" min="-2" pref="21" max="-2" attributes="0"/>
                          <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="cOButton1" alignment="3" min="-2" pref="18" max="-2" attributes="0"/>
                          <Component id="cOComboBox2" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="17" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="cOView3" min="-2" pref="51" max="-2" attributes="0"/>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                  <Group type="102" alignment="1" attributes="1">
                      <Component id="vueBoutonsModification" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="32767" attributes="0"/>
                      <Component id="cOButton3" min="-2" pref="18" max="-2" attributes="0"/>
                  </Group>
                  <Component id="listeAffichage" alignment="0" min="-2" pref="146" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="cOView1" min="-2" pref="219" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="org.cocktail.component.COTextField" name="cOTextField3">
      <Properties>
        <Property name="enabledMethod" type="java.lang.String" value="peutSaisirAnnee"/>
        <Property name="valueName" type="java.lang.String" value="annee"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Helvetica" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Ann&#xe9;e"/>
      </Properties>
    </Component>
    <Component class="org.cocktail.component.COButton" name="cOButton1">
      <Properties>
        <Property name="actionName" type="java.lang.String" value="afficherAideGlobale"/>
        <Property name="borderPainted" type="boolean" value="false"/>
        <Property name="iconName" type="java.lang.String" value="help.gif"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.COComboBox" name="cOComboBox2">
      <Properties>
        <Property name="enabledMethod" type="java.lang.String" value="peutSaisirAnnee"/>
        <Property name="titleForSelection" type="java.lang.String" value="typeValidite"/>
        <Property name="titles" type="java.lang.String" value="Valides,En cours,Historique"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Container class="org.cocktail.component.COView" name="cOView3">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Helvetica" size="11" style="0"/>
        </Property>
        <Property name="isBox" type="boolean" value="true"/>
        <Property name="title" type="java.lang.String" value="P&#xe9;riode de r&#xe9;f&#xe9;rence de la prime&#xa;"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOTextField2" min="-2" pref="74" max="-2" attributes="0"/>
                  <EmptySpace pref="44" max="32767" attributes="0"/>
                  <Component id="cOTextField1" min="-2" pref="74" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="cOTextField1" alignment="3" min="-2" pref="21" max="-2" attributes="0"/>
                      <Component id="cOTextField2" alignment="3" min="-2" pref="21" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COTextField" name="cOTextField1">
          <Properties>
            <Property name="dateFieldFormat" type="java.lang.String" value="%d/%m/%Y"/>
            <Property name="enabledMethod" type="java.lang.String" value="nonEditable&#xa;"/>
            <Property name="valueName" type="java.lang.String" value="finCampagne"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COTextField" name="cOTextField2">
          <Properties>
            <Property name="dateFieldFormat" type="java.lang.String" value="%d/%m/%Y"/>
            <Property name="enabledMethod" type="java.lang.String" value="nonEditable"/>
            <Property name="valueName" type="java.lang.String" value="debutCampagne"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Component class="org.cocktail.component.COTable" name="listeAffichage">
      <Properties>
        <Property name="columns" type="[Ljava.lang.Object;" editor="org.cocktail.component.COColumnsEditor">
          <SerializedValue value="-84,-19,0,5,117,114,0,19,91,76,106,97,118,97,46,108,97,110,103,46,79,98,106,101,99,116,59,-112,-50,88,-97,16,115,41,108,2,0,0,120,112,0,0,0,5,117,113,0,126,0,0,0,0,0,8,116,0,0,116,0,18,112,114,105,109,101,46,112,114,105,109,76,105,98,67,111,117,114,116,115,114,0,17,106,97,118,97,46,108,97,110,103,46,73,110,116,101,103,101,114,18,-30,-96,-92,-9,-127,-121,56,2,0,1,73,0,5,118,97,108,117,101,120,114,0,16,106,97,118,97,46,108,97,110,103,46,78,117,109,98,101,114,-122,-84,-107,29,11,-108,-32,-117,2,0,0,120,112,0,0,0,2,116,0,5,80,114,105,109,101,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,1,72,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10,117,113,0,126,0,0,0,0,0,8,116,0,8,37,100,47,37,109,47,37,89,116,0,13,100,101,98,117,116,86,97,108,105,100,105,116,101,115,113,0,126,0,5,0,0,0,0,116,0,6,68,-61,-87,98,117,116,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,80,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10,117,113,0,126,0,0,0,0,0,8,116,0,8,37,100,47,37,109,47,37,89,116,0,11,102,105,110,86,97,108,105,100,105,116,101,115,113,0,126,0,5,0,0,0,0,116,0,3,70,105,110,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,80,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10,117,113,0,126,0,0,0,0,0,8,116,0,4,48,46,48,48,116,0,11,112,97,116,116,77,111,110,116,97,110,116,115,113,0,126,0,5,0,0,0,0,116,0,7,77,111,110,116,97,110,116,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,90,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10,117,113,0,126,0,0,0,0,0,8,116,0,0,116,0,9,116,101,109,86,97,108,105,100,101,115,113,0,126,0,5,0,0,0,0,116,0,6,83,116,97,116,117,116,115,113,0,126,0,5,0,0,0,0,115,113,0,126,0,5,0,0,0,40,115,113,0,126,0,5,0,0,3,-24,115,113,0,126,0,5,0,0,0,10"/>
        </Property>
        <Property name="displayGroupForTable" type="org.cocktail.component.CODisplayGroup" editor="org.cocktail.component.CODisplayGroupEditor">
          <ComponentRef name="displayGroup"/>
        </Property>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Component class="org.cocktail.component.COButton" name="cOButton3">
      <Properties>
        <Property name="actionName" type="java.lang.String" value="renouveler"/>
        <Property name="borderPainted" type="boolean" value="false"/>
        <Property name="enabledMethod" type="java.lang.String" value="peutRenouveler"/>
        <Property name="iconName" type="java.lang.String" value="renouveler.gif"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
    </Component>
    <Container class="org.cocktail.component.COView" name="vueBoutonsModification">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Component id="cOButton7" alignment="0" min="-2" pref="16" max="-2" attributes="1"/>
              <Component id="cOButton9" alignment="1" min="-2" pref="16" max="-2" attributes="1"/>
              <Component id="cOButton8" alignment="1" min="-2" pref="16" max="-2" attributes="1"/>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="cOButton7" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton8" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="cOButton9" min="-2" pref="16" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="org.cocktail.component.COButton" name="cOButton7">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="ajouter"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="peutAjouter"/>
            <Property name="iconName" type="java.lang.String" value="ajouter16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton8">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="modifier"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="boutonModificationAutorise"/>
            <Property name="iconName" type="java.lang.String" value="modifier16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="org.cocktail.component.COButton" name="cOButton9">
          <Properties>
            <Property name="actionName" type="java.lang.String" value="supprimer"/>
            <Property name="borderPainted" type="boolean" value="false"/>
            <Property name="enabledMethod" type="java.lang.String" value="peutSupprimer"/>
            <Property name="iconName" type="java.lang.String" value="supprimer16.gif"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Container class="org.cocktail.component.COView" name="cOView1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Helvetica" size="11" style="0"/>
        </Property>
        <Property name="isBox" type="boolean" value="true"/>
        <Property name="title" type="java.lang.String" value="Attribution"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="2" max="-2" attributes="0"/>
                  <Component id="vuePersonnalisation" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="5" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="vuePersonnalisation" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="12" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Container class="org.cocktail.component.COView" name="vuePersonnalisation">
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <EmptySpace min="0" pref="650" max="32767" attributes="0"/>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <EmptySpace min="0" pref="192" max="32767" attributes="0"/>
              </Group>
            </DimensionLayout>
          </Layout>
        </Container>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
